Subject: Re: [bug#52730] [PATCH] gnu: gst-plugins/selection: Make #:configure-flags optional.

From: Liliana Marie Prikler <[email-masked]>
Date: Fri, 24 Dec 2021 08:56:21 +0100

Hi Jack,

Am Freitag, dem 24.12.2021 um 01:37 -0500 schrieb Jack Hill:
> On Fri, 24 Dec 2021, Jack Hill wrote:
> 
> I've looked at it for a little bit now, but I'm afraid that I'm
> stuck. I tried setting the default to #f (which may have been
> happening implicitly anyway):
Yes, if you don't supply an optional argument in Guile (or I guess in
Scheme generally), that argument gets #f as value.

> ```
> (define-public gst-plugins/selection
>    (lambda* (pkg #:key plugins (configure-flags #f))
>      "Build PKG with only PLUGINS enabled.  Optionally, if CONFIGURE-
> FLAGS are
> given, also pass them to the build system instead of the ones used by
> PKG."
>      (package/inherit pkg
>        (arguments
>         (substitute-keyword-arguments (package-arguments pkg)
>           ((#:configure-flags flags `(,@(or configure-flags '())))
>            `(append
>              (list
>               ,@(map (lambda (plugin)
>                        (string-append "-D" plugin "=enabled"))
>                      plugins))
>              (list ,@(or configure-flags flags))))
>            ((#:phases phases)
>             `(modify-phases ,phases
>                (add-after 'unpack 'disable-auto-plugins
>                  (lambda _
>                    (substitute* "meson_options.txt"
>                      (("'auto'") "'disabled'")))))))))))
> ```
> 
> but that still gives me the "bad syntax in form quote" message. I can
> keep thinking about it, but if someone else knows the solution, I'd
> be happy to learn from you :)
I swear this used to work before the c-u-f merge.  There might be a
problem mixing this with gexps or something I didn't account for back
then.